Package org.codehaus.groovy.util

# Class ManagedReference<T>

java.lang.Object
org.codehaus.groovy.util.ManagedReference<T>

All Implemented Interfaces:
  `Finalizable`

public class ManagedReference<T> extends Object implements Finalizable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ManagedReference(ReferenceBundle bundle, T value)`
  `ManagedReference(ReferenceType type, ReferenceManager rmanager, T value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final void`
  `clear()`
  `void`
  `finalizeReference()`
  `final T`
  `get()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ManagedReference

    public ManagedReference(ReferenceType type, ReferenceManager rmanager, T value)

  - ### ManagedReference

    public ManagedReference(ReferenceBundle bundle, T value)

- ## Method Details

  - ### get

    public final T get()

  - ### clear

    public final void clear()

  - ### finalizeReference

    public void finalizeReference()
    Specified by:
      `finalizeReference` in interface `Finalizable`